LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 10-21-2006, 12:57 PM   #1
sejjiin
LQ Newbie
 
Registered: Aug 2006
Distribution: Slackware 10.2
Posts: 8

Rep: Reputation: 0
ndiswrapper with Slackware 11, 2.4.33.3 kernel


Anyone know what ndiswrapper version works well with Slackware 11? I was using 1.14 with 10.2, but now it will only compile with the KBUILD=linux-2.4.33.3 command and afterwards it won't modprobe, stating it can't find kernel 2.4.31. And for some reason, after I compile it with KBUILD, it still creates the .o file in a 2.4.31 directory in /lib/modules (it must have created this directory itself, I didn't put it there).

I already did the whole ln -s /usr/src/linux thing.

Also tried the current ndiswrapper and that won't compile at all.
 
Old 10-21-2006, 01:08 PM   #2
BCarey
Senior Member
 
Registered: Oct 2005
Location: New Mexico
Distribution: Slackware
Posts: 1,478

Rep: Reputation: Disabled
I know it doesn't really answer your question, but wireless support, IMHO, is an important reason to consider going to 2.6.17.

Brian
 
Old 10-21-2006, 01:17 PM   #3
sejjiin
LQ Newbie
 
Registered: Aug 2006
Distribution: Slackware 10.2
Posts: 8

Original Poster
Rep: Reputation: 0
Hmm, I've heard it is extremely large; is that true? I'm extremely limited on disk space, 6GB HD, 384MB memory, 450 MHz Celeron.
 
Old 10-21-2006, 02:10 PM   #4
BCarey
Senior Member
 
Registered: Oct 2005
Location: New Mexico
Distribution: Slackware
Posts: 1,478

Rep: Reputation: Disabled
huge26s is pretty darn big, but the generic kernel in extra/ is half the size at 1.7M. Of course, you can always configure your own.

Brian
 
Old 10-21-2006, 03:00 PM   #5
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 5,332

Rep: Reputation: Disabled
Quote:
Originally Posted by sejjiin
I'm extremely limited on disk space, 6GB HD, 384MB memory, 450 MHz Celeron.
I wonder why anyone would call this "extremely limited"?

Eric
 
Old 10-21-2006, 07:33 PM   #6
cooldave
LQ Newbie
 
Registered: Oct 2004
Location: Colorado
Distribution: Slackware 12.1
Posts: 20

Rep: Reputation: 0
Hi,
I am still running a "current" image from last month on my laptop.
It is an IBM i series type 2611 (I believe it is an i1400)
A Celeron and about 96 Megs of RAM.
Anyhow, I have the 2.4.33.3 kernel running.
I am using a Motorola WN825G (broadcom), and used bcmwl5a (that is L not "one")
I had trouble with ndiswrapper 1.19 and 1.23.
They would get errors during compile.

I am running ndiswrapper 1.16 just fine.

I hope this helps. -CD-

Last edited by cooldave; 10-21-2006 at 07:38 PM.
 
Old 10-22-2006, 02:14 AM   #7
sejjiin
LQ Newbie
 
Registered: Aug 2006
Distribution: Slackware 10.2
Posts: 8

Original Poster
Rep: Reputation: 0
Thanks all - I tried 2.6 kernel, but with no luck. When I tried to compile ndiswrapper or rtl8180 drivers, I got an error saying that it couldn't find the build files in lib/modules/2.6.xx (didn't know how to fix that).

Thanks for the info on 1.16, I'll try that when I get back around to 11. I had to throw 10.2 back on there because I needed my laptop.
 
Old 10-22-2006, 04:44 AM   #8
antis
Member
 
Registered: Nov 2004
Location: sweden
Distribution: Arch
Posts: 67

Rep: Reputation: 15
I use 2.4.33.3 on my newly installed Slackware 11 laptop. It runs the latest version of ndiswrapper (1.27?) just fine with a lousy Netgear MA521 (rtl8180) pcmcia-card.

What kind of error do you get when you try to compile it?
 
Old 10-22-2006, 06:32 AM   #9
XavierP
Moderator
 
Registered: Nov 2002
Location: Kent, England
Distribution: Lubuntu
Posts: 19,176
Blog Entries: 4

Rep: Reputation: 430Reputation: 430Reputation: 430Reputation: 430Reputation: 430
Quote:
Originally Posted by sejjiin
Thanks all - I tried 2.6 kernel, but with no luck. When I tried to compile ndiswrapper or rtl8180 drivers, I got an error saying that it couldn't find the build files in lib/modules/2.6.xx (didn't know how to fix that).
If you look around the wiki (I think the link is at the bottom of the installation page) there is a page which gives an answer to that problem. You need to create a symlink to (or from) that directory.

I tried it and it works fine.
 
Old 10-23-2006, 01:47 AM   #10
sejjiin
LQ Newbie
 
Registered: Aug 2006
Distribution: Slackware 10.2
Posts: 8

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by antis
I use 2.4.33.3 on my newly installed Slackware 11 laptop. It runs the latest version of ndiswrapper (1.27?) just fine with a lousy Netgear MA521 (rtl8180) pcmcia-card.

What kind of error do you get when you try to compile it?
It's an error stating that the compiler can not find the build files for the kernel at /lib/modules/linux-2.4.xx/build. It states I should use KBUILD=, which gave me some undefined symbol errors when I tried it.


@XavierP

Do you mean the ndiswrapper Wiki? I can't seem to find the link you're talking about.
 
Old 10-23-2006, 07:06 AM   #11
XavierP
Moderator
 
Registered: Nov 2002
Location: Kent, England
Distribution: Lubuntu
Posts: 19,176
Blog Entries: 4

Rep: Reputation: 430Reputation: 430Reputation: 430Reputation: 430Reputation: 430
Yeah, I went looking for it and I couldn't find it either. It suggested making a symlink from the actual location of autoconf.h to the place ndiswrapper thinks it should be. I have had that work in the past. You could also ensure you have kernel-source installed, as I have had success with that.
 
  


Reply

Tags
ndiswrapper, slackware


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Ndiswrapper - Cant find kernel sources while installing (Kernel 2.6.11) krayhze Linux - Wireless Networking 6 05-23-2006 07:30 AM
Slackware 10.2 ndiswrapper kernel source problem thomasw92 Linux - Wireless Networking 4 04-01-2006 05:01 AM
Automating Ndiswrapper in Slackware 10 decaturguy Linux - Laptop and Netbook 1 07-25-2004 11:15 PM
using Ndiswrapper in slackware grt Linux - Wireless Networking 2 07-01-2004 01:20 PM
ndiswrapper 0.6 with slackware 9.1 chris8 Linux - Wireless Networking 5 04-23-2004 06:22 PM


All times are GMT -5. The time now is 02:16 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration